> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Integrator KYC Users

> This api will get all integrator kyc users

Get all KYC users associated with your integrator account.


## OpenAPI

````yaml GET /api/v3/kyc/integrator/users
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/kyc/integrator/users:
    get:
      tags:
        - KYC
      summary: Get Integrator Kyc Users
      description: This api will get all integrator kyc users
      operationId: KycController_integratorKycUsers_api/v3
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Successfully retrieved kyc users
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/IntegratorKycUsersResponseDto'
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid API Key
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    IntegratorKycUsersResponseDto:
      type: object
      properties:
        kycId:
          type: string
        kycVerified:
          type: boolean
        basicDetails:
          $ref: '#/components/schemas/KycBasicDetailsDto'
        address:
          $ref: '#/components/schemas/KycAddressDto'
        document:
          $ref: '#/components/schemas/KycDocumentDto'
      required:
        - kycId
        - kycVerified
        - basicDetails
        - address
        - document
    KycBasicDetailsDto:
      type: object
      properties:
        userEmail:
          type: string
        customerKey:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        dob:
          type: string
          description: should be of this format YYYY-MM-DD
        gender:
          type: string
          enum:
            - M
            - F
        country:
          type: string
          description: example GH,KE,NG
        phone:
          type: string
      required:
        - userEmail
        - customerKey
        - firstName
        - lastName
        - dob
        - gender
        - country
        - phone
    KycAddressDto:
      type: object
      properties:
        kycId:
          type: string
        street:
          type: string
        town:
          type: string
        country:
          type: string
          description: example GH,KE,NG
      required:
        - kycId
        - street
        - town
        - country
    KycDocumentDto:
      type: object
      properties:
        kycId:
          type: string
        nationality:
          type: string
          description: example Ghanian, Nigerian
        documentNo:
          type: string
        documentExpirationDate:
          type: string
          description: should be of this format YYYY-MM-DD
        country:
          type: string
          description: example Ghana, Nigeria, Kenya
        documentName:
          type: string
          description: example PASSPORT, GOVERNMENT ID, VOTERS ID
      required:
        - kycId
        - nationality
        - documentNo
        - documentExpirationDate
        - country
        - documentName
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````